diff --git a/app/test-bbdev/test_bbdev_vector.c b/app/test-bbdev/test_bbdev_vector.c
index 45fe999c5..e4f68e2a6 100644
--- a/app/test-bbdev/test_bbdev_vector.c
+++ b/app/test-bbdev/test_bbdev_vector.c
@@ -2,7 +2,7 @@
  * Copyright(c) 2017 Intel Corporation
  */
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	#define _WITH_GETLINE
 #endif
 #include <stdio.h>
diff --git a/app/test-crypto-perf/cperf_test_vector_parsing.c b/app/test-crypto-perf/cperf_test_vector_parsing.c
index 92932a230..1e9dfcfff 100644
--- a/app/test-crypto-perf/cperf_test_vector_parsing.c
+++ b/app/test-crypto-perf/cperf_test_vector_parsing.c
@@ -1,7 +1,7 @@
 /* SPDX-License-Identifier: BSD-3-Clause
  * Copyright(c) 2016-2017 Intel Corporation
  */
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	#define _WITH_GETLINE
 #endif
 #include <stdio.h>
diff --git a/app/test-pmd/testpmd.c b/app/test-pmd/testpmd.c
index 98c1baa8b..d9d0c16d4 100644
--- a/app/test-pmd/testpmd.c
+++ b/app/test-pmd/testpmd.c
@@ -3125,7 +3125,7 @@ main(int argc, char** argv)
 #endif
 
 	/* on FreeBSD, mlockall() is disabled by default */
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	do_mlockall = 0;
 #else
 	do_mlockall = 1;
diff --git a/app/test/process.h b/app/test/process.h
index 998d65316..2701127a2 100644
--- a/app/test/process.h
+++ b/app/test/process.h
@@ -11,7 +11,7 @@
 #include <unistd.h> /* readlink */
 #include <sys/wait.h>
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 #define self "curproc"
 #define exe "file"
 #else
diff --git a/app/test/test_alarm.c b/app/test/test_alarm.c
index d1284b379..951b7f07b 100644
--- a/app/test/test_alarm.c
+++ b/app/test/test_alarm.c
@@ -178,7 +178,7 @@ static int
 test_alarm(void)
 {
 	int count = 0;
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	printf("The alarm API is not supported on FreeBSD\n");
 	return 0;
 #endif
diff --git a/app/test/test_eal_flags.c b/app/test/test_eal_flags.c
index e2864107c..1a64b0900 100644
--- a/app/test/test_eal_flags.c
+++ b/app/test/test_eal_flags.c
@@ -231,7 +231,7 @@ static int
 test_whitelist_flag(void)
 {
 	unsigned i;
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -297,7 +297,7 @@ test_whitelist_flag(void)
 static int
 test_invalid_b_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -344,7 +344,7 @@ test_invalid_b_flag(void)
 static int
 test_invalid_vdev_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point, and we also need to
 	 * run another primary process here */
 	const char * prefix = no_shconf;
@@ -398,7 +398,7 @@ test_invalid_vdev_flag(void)
 static int
 test_invalid_r_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -442,7 +442,7 @@ test_invalid_r_flag(void)
 static int
 test_missing_c_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -592,7 +592,7 @@ test_missing_c_flag(void)
 static int
 test_master_lcore_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char *prefix = "";
 #else
@@ -640,7 +640,7 @@ test_master_lcore_flag(void)
 static int
 test_invalid_n_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -690,7 +690,7 @@ test_no_hpet_flag(void)
 {
 	char prefix[PATH_MAX] = "";
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	return 0;
 #else
 	char tmp[PATH_MAX];
@@ -724,7 +724,7 @@ test_no_hpet_flag(void)
 static int
 test_no_huge_flag(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point, and we also need to
 	 * run another primary process here */
 	const char * prefix = no_shconf;
@@ -752,7 +752,7 @@ test_no_huge_flag(void)
 		printf("Error - process did not run ok with --no-huge and -m flags\n");
 		return -1;
 	}
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target does not support NUMA, hence no --socket-mem tests */
 	return 0;
 #endif
@@ -774,7 +774,7 @@ static int
 test_misc_flags(void)
 {
 	char hugepath[PATH_MAX] = {0};
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 	const char * nosh_prefix = "";
@@ -898,7 +898,7 @@ test_misc_flags(void)
 		return -1;
 	}
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* no more tests to be done on FreeBSD */
 	return 0;
 #endif
@@ -978,7 +978,7 @@ test_file_prefix(void)
 	 */
 	char prefix[PATH_MAX] = "";
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	return 0;
 #else
 	if (get_current_prefix(prefix, sizeof(prefix)) == NULL) {
@@ -1138,7 +1138,7 @@ test_file_prefix(void)
 static int
 test_memory_flags(void)
 {
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD target doesn't support prefixes at this point */
 	const char * prefix = "";
 #else
@@ -1191,7 +1191,7 @@ test_memory_flags(void)
 	char invalid_socket_mem[SOCKET_MEM_STRLEN];
 	char buf[SOCKET_MEM_STRLEN];	/* to avoid copying string onto itself */
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	int i, num_sockets = 1;
 #else
 	int i, num_sockets = RTE_MIN(get_number_of_sockets(),
@@ -1247,7 +1247,7 @@ test_memory_flags(void)
 		return -1;
 	}
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* no other tests are applicable to BSD */
 	return 0;
 #endif
diff --git a/app/test/test_eal_fs.c b/app/test/test_eal_fs.c
index 7ca216410..cae624f82 100644
--- a/app/test/test_eal_fs.c
+++ b/app/test/test_eal_fs.c
@@ -22,7 +22,7 @@ test_parse_sysfs_value(void)
 	unsigned valid_number;
 	unsigned long retval = 0;
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD doesn't have /proc/pid/fd */
 	return 0;
 #endif
diff --git a/app/test/test_errno.c b/app/test/test_errno.c
index 920a2cf89..7df8192d5 100644
--- a/app/test/test_errno.c
+++ b/app/test/test_errno.c
@@ -18,7 +18,7 @@ test_errno(void)
 {
 	const char *rte_retval;
 	const char *libc_retval;
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	/* BSD has a colon in the string, unlike linux */
 	const char unknown_code_result[] = "Unknown error: %d";
 #else
diff --git a/app/test/test_mempool.c b/app/test/test_mempool.c
index eebb1f24d..7738c73db 100644
--- a/app/test/test_mempool.c
+++ b/app/test/test_mempool.c
@@ -116,7 +116,7 @@ test_mempool_basic(struct rte_mempool *mp, int use_external_cache)
 			MEMPOOL_HEADER_SIZE(mp, mp->cache_size))
 		GOTO_ERR(ret, out);
 
-#ifndef RTE_EXEC_ENV_BSDAPP /* rte_mem_virt2iova() not supported on bsd */
+#ifndef RTE_EXEC_ENV_FREEBSD /* rte_mem_virt2iova() not supported on bsd */
 	printf("get physical address of an object\n");
 	if (rte_mempool_virt2iova(obj) != rte_mem_virt2iova(obj))
 		GOTO_ERR(ret, out);
diff --git a/config/common_bsdapp b/config/common_bsdapp
index 3399246ea..e6841f72e 100644
--- a/config/common_bsdapp
+++ b/config/common_bsdapp
@@ -4,7 +4,8 @@
 #include "common_base"
 
 CONFIG_RTE_EXEC_ENV="bsdapp"
 CONFIG_RTE_EXEC_ENV_BSDAPP=y
+CONFIG_RTE_EXEC_ENV_FREEBSD=y
 
 #
 # FreeBSD contiguous memory driver settings
diff --git a/config/rte_config.h b/config/rte_config.h
index 9b2e813f0..1690f4d98 100644
--- a/config/rte_config.h
+++ b/config/rte_config.h
@@ -22,6 +22,9 @@
 #ifdef RTE_EXEC_ENV_LINUX
 #define RTE_EXEC_ENV_LINUXAPP 1
 #endif
+#ifdef RTE_EXEC_ENV_FREEBSD
+#define RTE_EXEC_ENV_BSDAPP 1
+#endif
 
 /****** library defines ********/
 
diff --git a/doc/guides/contributing/design.rst b/doc/guides/contributing/design.rst
index 8779c4bc0..7b18de409 100644
--- a/doc/guides/contributing/design.rst
+++ b/doc/guides/contributing/design.rst
@@ -55,7 +55,7 @@ Per Execution Environment Sources
 The following config options can be used:
 
 * ``CONFIG_RTE_EXEC_ENV`` is a string that contains the name of the executive environment.
-* ``CONFIG_RTE_EXEC_ENV_BSDAPP`` or ``CONFIG_RTE_EXEC_ENV_LINUX`` are defined only if we are building for this execution environment.
+* ``CONFIG_RTE_EXEC_ENV_FREEBSD`` or ``CONFIG_RTE_EXEC_ENV_LINUX`` are defined only if we are building for this execution environment.
 
 Library Statistics
 ------------------
diff --git a/drivers/bus/pci/Makefile b/drivers/bus/pci/Makefile
index 88154b4de..de53ce1bf 100644
--- a/drivers/bus/pci/Makefile
+++ b/drivers/bus/pci/Makefile
@@ -14,7 +14,7 @@ CFLAGS += -DALLOW_EXPERIMENTAL_API
 ifneq ($(CONFIG_RTE_EXEC_ENV_LINUX),)
 SYSTEM := linux
 endif
-ifneq ($(CONFIG_RTE_EXEC_ENV_BSDAPP),)
+ifneq ($(CONFIG_RTE_EXEC_ENV_FREEBSD),)
 SYSTEM := bsd
 endif
 
diff --git a/drivers/bus/vmbus/Makefile b/drivers/bus/vmbus/Makefile
index 3a344fc9c..0d99e715b 100644
--- a/drivers/bus/vmbus/Makefile
+++ b/drivers/bus/vmbus/Makefile
@@ -13,7 +13,7 @@ CFLAGS += -DALLOW_EXPERIMENTAL_API
 ifneq ($(CONFIG_RTE_EXEC_ENV_LINUX),)
 SYSTEM := linux
 endif
-ifneq ($(CONFIG_RTE_EXEC_ENV_BSDAPP),)
+ifneq ($(CONFIG_RTE_EXEC_ENV_FREEBSD),)
 $(error "VMBUS not implemented for BSD yet")
 endif
 
diff --git a/drivers/net/failsafe/failsafe_private.h b/drivers/net/failsafe/failsafe_private.h
index 0dfea65c2..ca2442aba 100644
--- a/drivers/net/failsafe/failsafe_private.h
+++ b/drivers/net/failsafe/failsafe_private.h
@@ -331,7 +331,7 @@ extern int failsafe_mac_from_arg;
 	 &((struct txq *)((s)->fs_dev->data->tx_queues[i]))->refcnt[(s)->sid] \
 	)
 
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 #define FS_THREADID_TYPE void*
 #define FS_THREADID_FMT  "p"
 #else
diff --git a/drivers/net/pcap/rte_eth_pcap.c b/drivers/net/pcap/rte_eth_pcap.c
index 518d9e34a..22aa49c9f 100644
--- a/drivers/net/pcap/rte_eth_pcap.c
+++ b/drivers/net/pcap/rte_eth_pcap.c
@@ -11,7 +11,7 @@
 #include <sys/ioctl.h>
 #include <unistd.h>
 
-#if defined(RTE_EXEC_ENV_BSDAPP)
+#if defined(RTE_EXEC_ENV_FREEBSD)
 #include <sys/sysctl.h>
 #include <net/if_dl.h>
 #endif
@@ -1008,7 +1008,7 @@ eth_pcap_update_mac(const char *if_name, struct rte_eth_dev *eth_dev,
 
 	return 0;
 
-#elif defined(RTE_EXEC_ENV_BSDAPP)
+#elif defined(RTE_EXEC_ENV_FREEBSD)
 	void *mac_addrs;
 	struct if_msghdr *ifm;
 	struct sockaddr_dl *sdl;
diff --git a/kernel/Makefile b/kernel/Makefile
index 6716b566c..5d51fd94b 100644
--- a/kernel/Makefile
+++ b/kernel/Makefile
@@ -4,6 +4,6 @@
 include $(RTE_SDK)/mk/rte.vars.mk
 
 DIRS-$(CONFIG_RTE_EXEC_ENV_LINUX) += linux
-DIRS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += freebsd
+DIRS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += freebsd
 
 include $(RTE_SDK)/mk/rte.subdir.mk
diff --git a/kernel/freebsd/Makefile b/kernel/freebsd/Makefile
index c93d7a624..522d3f68f 100644
--- a/kernel/freebsd/Makefile
+++ b/kernel/freebsd/Makefile
@@ -3,7 +3,7 @@
 
 include $(RTE_SDK)/mk/rte.vars.mk
 
-DIRS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += contigmem
-DIRS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += nic_uio
+DIRS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += contigmem
+DIRS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += nic_uio
 
 include $(RTE_SDK)/mk/rte.subdir.mk
diff --git a/lib/librte_eal/Makefile b/lib/librte_eal/Makefile
index 8b773da70..86434f5b3 100644
--- a/lib/librte_eal/Makefile
+++ b/lib/librte_eal/Makefile
@@ -6,7 +6,7 @@ include $(RTE_SDK)/mk/rte.vars.mk
 DIRS-y += common
 DIRS-$(CONFIG_RTE_EXEC_ENV_LINUX) += linux
 DEPDIRS-linux := common
-DIRS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += freebsd
+DIRS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += freebsd
 DEPDIRS-freebsd := common
 
 include $(RTE_SDK)/mk/rte.subdir.mk
diff --git a/lib/librte_eal/common/eal_common_errno.c b/lib/librte_eal/common/eal_common_errno.c
index c63a943b3..2a10fb823 100644
--- a/lib/librte_eal/common/eal_common_errno.c
+++ b/lib/librte_eal/common/eal_common_errno.c
@@ -21,7 +21,7 @@ const char *
 rte_strerror(int errnum)
 {
 	/* BSD puts a colon in the "unknown error" messages, Linux doesn't */
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 	static const char *sep = ":";
 #else
 	static const char *sep = "";
diff --git a/lib/librte_eal/common/include/generic/rte_byteorder.h b/lib/librte_eal/common/include/generic/rte_byteorder.h
index 7d9a1463c..38e8cfd32 100644
--- a/lib/librte_eal/common/include/generic/rte_byteorder.h
+++ b/lib/librte_eal/common/include/generic/rte_byteorder.h
@@ -15,7 +15,7 @@
  */
 
 #include <stdint.h>
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 #include <sys/endian.h>
 #else
 #include <endian.h>
diff --git a/lib/librte_eal/common/include/rte_string_fns.h b/lib/librte_eal/common/include/rte_string_fns.h
index 35c6b003c..85bfe6c9a 100644
--- a/lib/librte_eal/common/include/rte_string_fns.h
+++ b/lib/librte_eal/common/include/rte_string_fns.h
@@ -74,7 +74,7 @@ rte_strlcat(char *dst, const char *src, size_t size)
 }
 
 /* pull in a strlcpy function */
-#ifdef RTE_EXEC_ENV_BSDAPP
+#ifdef RTE_EXEC_ENV_FREEBSD
 #ifndef __BSD_VISIBLE /* non-standard functions are hidden */
 #define strlcpy(dst, src, size) rte_strlcpy(dst, src, size)
 #define strlcat(dst, src, size) rte_strlcat(dst, src, size)
@@ -89,7 +89,7 @@ rte_strlcat(char *dst, const char *src, size_t size)
 #define strlcat(dst, src, size) rte_strlcat(dst, src, size)
 
 #endif /* RTE_USE_LIBBSD */
-#endif /* BSDAPP */
+#endif /* FREEBSD */
 
 /**
  * Copy string src to buffer dst of size dsize.
diff --git a/lib/librte_eal/freebsd/Makefile b/lib/librte_eal/freebsd/Makefile
index 5b06b216a..fc42058b6 100644
--- a/lib/librte_eal/freebsd/Makefile
+++ b/lib/librte_eal/freebsd/Makefile
@@ -3,6 +3,6 @@
 
 include $(RTE_SDK)/mk/rte.vars.mk
 
-DIRS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal
+DIRS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal
 
 include $(RTE_SDK)/mk/rte.subdir.mk
diff --git a/lib/librte_eal/freebsd/eal/Makefile b/lib/librte_eal/freebsd/eal/Makefile
index bfeddaadc..aa4b9ef8e 100644
--- a/lib/librte_eal/freebsd/eal/Makefile
+++ b/lib/librte_eal/freebsd/eal/Makefile
@@ -25,55 +25,55 @@ EXPORT_MAP := ../../rte_eal_version.map
 LIBABIVER := 9
 
 # specific to bsdapp exec-env
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) := eal.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_cpuflags.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_memory.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_hugepage_info.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_thread.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_debug.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_memalloc.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_lcore.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_timer.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_interrupts.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_alarm.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_dev.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) := eal.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_cpuflags.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_memory.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_hugepage_info.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_thread.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_debug.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_memalloc.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_lcore.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_timer.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_interrupts.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_alarm.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_dev.c
 
 # from common dir
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_lcore.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_timer.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_memzone.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_log.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_launch.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_memalloc.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_memory.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_tailqs.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_errno.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_cpuflags.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_hypervisor.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_string_fns.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_hexdump.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_devargs.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_class.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_bus.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_dev.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_options.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_thread.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_proc.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_fbarray.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += eal_common_uuid.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_malloc.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += hotplug_mp.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += malloc_elem.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += malloc_heap.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += malloc_mp.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_keepalive.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_option.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_service.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_reciprocal.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_lcore.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_timer.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_memzone.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_log.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_launch.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_memalloc.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_memory.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_tailqs.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_errno.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_cpuflags.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_hypervisor.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_string_fns.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_hexdump.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_devargs.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_class.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_bus.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_dev.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_options.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_thread.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_proc.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_fbarray.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += eal_common_uuid.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_malloc.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += hotplug_mp.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += malloc_elem.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += malloc_heap.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += malloc_mp.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_keepalive.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_option.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_service.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_reciprocal.c
 
 # from arch dir
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_cpuflags.c
-SRCS-$(CONFIG_RTE_EXEC_ENV_BSDAPP) += rte_hypervisor.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_cpuflags.c
+SRCS-$(CONFIG_RTE_EXEC_ENV_FREEBSD) += rte_hypervisor.c
 SRCS-$(CONFIG_RTE_ARCH_X86) += rte_spinlock.c
 SRCS-y += rte_cycles.c
 
@@ -88,7 +88,7 @@ endif
 
 INC :=  # no bsdapp specific headers
 
-SYMLINK-$(CONFIG_RTE_EXEC_ENV_BSDAPP)-include/exec-env := \
+SYMLINK-$(CONFIG_RTE_EXEC_ENV_FREEBSD)-include/exec-env := \
 	$(addprefix include/exec-env/,$(INC))
 
 include $(RTE_SDK)/mk/rte.lib.mk
diff --git a/lib/librte_eal/meson.build b/lib/librte_eal/meson.build
index 61b1016af..c592c6747 100644
--- a/lib/librte_eal/meson.build
+++ b/lib/librte_eal/meson.build
@@ -14,7 +14,7 @@ if host_machine.system() == 'linux'
 	subdir('linux/eal')
 
 elif host_machine.system() == 'freebsd'
-	dpdk_conf.set('RTE_EXEC_ENV_BSDAPP', 1)
+	dpdk_conf.set('RTE_EXEC_ENV_FREEBSD', 1)
 	subdir('freebsd/eal')
 
 else